Appearance
GET
/warehouse-management/warehouse-v2/warehousesRequired scope:
viskan:warehouse:readSearches for warehouses with optional filters, sorting, and pagination.
Parameters
Query parameters
page integerThe page number to retrieve. The first page is 1. Cannot be less than 1.
Default value:
1pageSize integerThe size of the pages to retrieve. The default is 10. Cannot be less than 1 and larger than 100.
Default value:
10active enumRequired
Filter by active status.
Enum:
ALLACTIVEINACTIVEkeyword stringKeyword to search by name, number, or city.
Response
The response contains the found warehouses.
JSON
[
{
"warehouseId": 1,
"warehouseName": "Main Warehouse",
"warehouseNumber": "WH-001",
"active": true
}
]
| Error code | Description |
|---|---|
invalid-page | The given page is invalid. |
invalid-page-size | The given page size is invalid. |